WebChat
Atualizado
Isto foi útil?
Atualizado
Isto foi útil?
Isto foi útil?
POST /api/v4/webchat/{channel}/push/subscribe HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 39
{
"endpoint": "https://push.example.com"
}{
"status": true,
"message": "Sucesso"
}POST /api/v4/webchat/{channel}/push/subscribe/delete HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 39
{
"endpoint": "https://push.example.com"
}{
"status": true,
"message": "Sucesso"
}GET /api/v4/webchat/{channel}/manifest.json HTTP/1.1
Accept: */*
{
"status": true,
"message": "Sucesso"
}GET /api/v4/webchat/{channel}/configuration HTTP/1.1
Accept: */*
{
"status": true,
"message": "Sucesso"
}GET /api/v4/webchat/{channel}/session-exists HTTP/1.1
Accept: */*
{
"status": true,
"message": "Sucesso"
}GET /api/v4/webchat/{channel}/messages HTTP/1.1
Accept: */*
{
"status": true,
"message": "Sucesso"
}POST /api/v4/webchat/{channel}/session-create HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 52
{
"name": "Visitante",
"email": "[email protected]"
}{
"status": true,
"message": "Sucesso"
}POST /api/v4/webchat/{channel}/session-finish HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 28
{
"session_id": "session_123"
}{
"status": true,
"message": "Sucesso"
}PATCH /api/v4/webchat/{channel}/session-update HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 47
{
"session_id": "session_123",
"name": "Visitante"
}{
"status": true,
"message": "Sucesso"
}POST /api/v4/webchat/{channel}/flow-restart HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 28
{
"session_id": "session_123"
}{
"status": true,
"message": "Sucesso"
}POST /api/v4/webchat/{channel}/flow-autoStart HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 28
{
"session_id": "session_123"
}{
"status": true,
"message": "Sucesso"
}DELETE /api/v4/webchat/{channel}/flow-finish HTTP/1.1
Accept: */*
{
"status": true,
"message": "Sucesso"
}POST /api/v4/webchat/{channel}/simulator-finish HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 28
{
"session_id": "session_123"
}{
"status": true,
"message": "Sucesso"
}